export default class SpeechSynthesizer extends events.EventEmitter {
    constructor(platform: any, url?: string);
    _baseUrl: string;
    _locale: any;
    _soundCtx: any;
    _queue: any[];
    _speaking: boolean;
    _outputStream: any;
    _closeTimeout: any;
    get speaking(): boolean;
    clearQueue(): void;
    _synth(text: any): Promise<{
        buffer: Buffer;
        sampleRate: number;
        numChannels: number;
        text: any;
    }>;
    say(text: any): void;
    _currentFrame: any;
    endFrame(): Promise<any>;
    _silence(): number;
    _ensureOutputStream(result: any): void;
    _sampleRate: any;
    _numChannels: any;
    _sayNext(): Promise<void>;
}
import * as events from "events";
